import { AbstractControl, Validator } from '@angular/forms';
export declare class FileSizeValidator implements Validator {
    minSize: number;
    set setMinSize(value: number | string);
    maxSize: number;
    set setMaxSize(value: number | string);
    constructor();
    validate(control: AbstractControl): {
        [key: string]: any;
    } | null;
}
export declare function parseFileSize(value: string): number;
